Improve this doc View source

# `pfVerticalNavigation - Router`
directive in module `patternfly.navigation`

## Description

## Usage

as attribute

    <ANY pf-vertical-navigation - -router
         brand-src="{string}"
         brand-alt="{string}"
         show-badges="{boolean}"
         persistent-secondary="{boolean}"
         hidden-icons="{boolean}"
         items="{array}"
         navigate-callback="{function}"
         item-click-callback="{function}"
         update-active-items-on-click="{boolean}"
         ignore-mobile="{boolean}">
       ...
    </ANY>

#### Parameters

Param | Type | Details
--- | --- | ---
brandSrc | string |
brandAlt | string |
showBadges | boolean |
persistentSecondary | boolean |
hiddenIcons | boolean |
items | array |
navigateCallback | function |
itemClickCallback | function |
updateActiveItemsOnClick | boolean |
ignoreMobile | boolean |

## Example